<?php


namespace Mamad\Shop\excel;


use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Mamad\Transaction\Repository\TransactionRepository;
use Mehrab\Payment\Repositories\PaymentRepo;

class ViewExcel implements FromView
{

    public function view(): View
    {
        $transactions=TransactionRepository::get_transactions_by_type("order",false);

        return view('Shop::Admin.transactions_excel', [
            'transactions' => $transactions
        ]);
    }
}
